Subject: bug#79200: 31.0.50; Duplicated elements for '#<marker at' in buffer-undo-list

From: Óscar Fuentes <[email-masked]>
Date: Thu, 14 Aug 2025 16:22:24 +0200

Gerd Möllmann <[email-masked]> writes:

Hi Gerd.

>> The above produces an undo list with length 80000.
>>
>> I think it might make sense to limit that to some reasonable number.
>
> @Oscar: the patch below adds such a variable. My gut feeling is that
> might well resolve the whole problem, without the other stuff, i.e.
> applied directly to feature/igc. Sorry for the back and forth.

Is this really addresset at me? Do you want me to try your patch? This
patch alone or on top of the previous ones?

Your discussion with Alan is way beyond my knowledge, but if the patch
just keeps the list under a certain length, as it seems, I don't see how
it can be a fix, as AFAIK the problem consists on the size of the new
undo info increasing as a function of the size of the previous one, so
at some point recording a new undo just overflows the capacity.